# ==============================================================================================
#
# OpsMgr Stop Maintnenance Mode Sample Script
# Opalis Unleashed
#
# ==============================================================================================

param ($groupName, $rmsServerName)

#Load the Operations Manager snapin and connect to the Root Management Server 
add-pssnapin "Microsoft.EnterpriseManagement.OperationsManager.Client"; 
Set-Location "OperationsManagerMonitoring::"; 
$mgConn = New-ManagementGroupConnection -connectionString:$rmsServerName; 
if($mgConn -eq $null) 
{ 
[String]::Format("Failed to connect to RMS on '{0}'",$rmsServerName); 
return; 
} 

Set-Location $rmsServerName;

$MonitoringClassCG = get-monitoringclass | where {$_.DisplayName -eq $groupName} 
$MonitoringGUID = get-monitoringobject $MonitoringClassCG.Id

$MonitoringGUID.StopMaintenanceMode([DateTime]::Now.ToUniversalTime(),[Microsoft.EnterpriseManagement.Common.TraversalDepth]::Recursive); 
